/*
  Program:      Mine Mayhem
  File:         options.h
  Date: 	July, 1996 to February,   1997, version 1.00.
		26 October to 3 December,	version 2.00.
		8 December to 4 January,  2001, version 2.10.
		15 January,			version 2.11.

  Definitions for the configuration dialog box.

  Freeware, Copyright 2001 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.

  v2.00: stylistic changes.
  v2.10: moved Game Type to the menu;
	 added auto-clear and tracking options.
*/

#ifndef _options_h
#define _options_h

#include <tws/tabwin.h>
#include <tws/radio.h>
#include <tws/checkbox.h>
#include <tws/button.h>


extern int Start;			// Starting condition
#define NO_REPOS	0
#define ONE_REPOS       1
#define AUTO		2

extern int Finish;			// Finishing condition (bit-masked)
#define ALL_OPENED	1
#define ALL_MARKED      2

extern int ClearButton; 		// Clear-around mouse button
#define CLRLEFT 	0
#define CLRRIGHT        1
#define CLRMIDDLE       2


extern bool isMarks,			// Using question marks?
	    isWrap,
	    isTracked,
	    isAutoMark, isAutoOpen, isAutoClear;


class OptionDlg : public TabWin
{
public:
  OptionDlg();
  ~OptionDlg();

  void Run();

protected:
  void PaintWindow(int x1, int y1, int x2, int y2);

  void cmOK();
  void cmCancel();

  DECLARE_RESPONSE_TABLE;

  RadioButtonContainer *start, *clear;
  CheckBox *marks,  *automark,
	   *wrap,   *autoopen,
	   *track,  *autoclear,
	   *finishopen,
	   *finishmark;
  TextButton *OK, *Cancel;
  int isOK;
};

#endif
