/*
  Program:      Mine Mayhem
  File: 	tiles.h
  Date: 	July, 1996 to February,   1997, version 1.00.
		26 October to 3 December,	version 2.00.
		8 December to 4 January,  2001, version 2.10.
		15 January,			version 2.11.

  Definitions for the tiles (squares and hexagons) on the board.

  Freeware, Copyright 2001 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.

  v2.00: 26 October, 1997 - renamed from squares.h and added hexagons.
*/

#ifndef _tiles_h
#define _tiles_h

#include <graphics.h>

#define TILES	  15
#define SQUAREW   16
#define SQUAREH   16
#define HEXAGONW  16
#define HEXAGONH  18
#define HEXAGONR  14			// Each row is this far apart
#define HEXAGOND   4			// Difference of the two above values

#define OPENED     0
#define UNOPENED   9
#define MARKED    10
#define UNSURE    11
#define DEADMINE  12
#define WRONGMINE 13
#define MINE      14

extern ViewBuffer * Square[TILES],
		  *Hexagon[TILES];

extern BYTE  SquareBuffer[TILES][SQUAREW*SQUAREH],
	    HexagonBuffer[TILES][HEXAGONW*HEXAGONH];

#endif
